#include <gear/ui/gui.h>

void g_gui_add_layer(g_gui_layers* layers, g_gui_layer_create_function create_function, g_gui_layer_destroy_function destroy_function) {
    g_gui_layer* layer = create_function();
    layer->destroy = destroy_function;

    sl_vec_push(*layers, layer);
}
